## pg-show-plans 1.1.2

=== Makefile ===
# pg_show_plans/Makefile

MODULE_big = pg_show_plans
OBJS = pg_show_plans.o

EXTENSION = pg_show_plans
DATA = pg_show_plans--1.0--1.1.sql \
       pg_show_plans--1.1.sql
REGRESS = pg_show_plans formats

USE_PGXS = 1
ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_show_plans
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
pg-show-plans (1.1.2-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 31 Mar 2023 16:25:36 +0200

## pg-show-plans 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-# pg_show_plans/Makefile
-
 MODULE_big = pg_show_plans
 OBJS = pg_show_plans.o
 
 EXTENSION = pg_show_plans
 DATA = pg_show_plans--1.0--1.1.sql \
-       pg_show_plans--1.1.sql
+       pg_show_plans--1.1--2.0.sql \
+       pg_show_plans--2.0.sql
 REGRESS = pg_show_plans formats
+DOCS = pg_show_plans.md
 
 USE_PGXS = 1
 ifdef USE_PGXS

## pg-show-plans 2.1.0

=== debian/changelog ===
pg-show-plans (2.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 13 May 2024 10:51:47 +0200

pg-show-plans (2.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2023 16:59:09 +0200

pg-show-plans (1.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 20:46:10 +0200

## pg-show-plans 2.1.2

=== debian/changelog ===
pg-show-plans (2.1.2-2.pgdg130+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 10:30:55 +0200

pg-show-plans (2.1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Move packaging repo to salsa.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 10:30:55 +0200

pg-show-plans (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jul 2024 15:34:11 +0200

=== debian/control ===
Source: pg-show-plans
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/cybertec-postgresql/pg_show_plans
Vcs-Browser: https://salsa.debian.org/postgresql/pg-show-plans
Vcs-Git: https://salsa.debian.org/postgresql/pg-show-plans.git

Package: postgresql-12-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

Package: postgresql-13-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

Package: postgresql-14-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

Package: postgresql-15-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

Package: postgresql-16-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

Package: postgresql-17-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

## pg-show-plans 2.1.5

=== debian/changelog ===
pg-show-plans (2.1.5-2) unstable; urgency=medium

  * Fix possible spinlock leakage.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Jul 2025 11:58:29 +0200

pg-show-plans (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5.
    + Fixes crash on setting config variables.
  * Restrict to PG14+.

 -- Christoph Berg <myon@debian.org>  Mon, 12 May 2025 11:35:08 +0200

=== debian/control ===
Source: pg-show-plans
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/cybertec-postgresql/pg_show_plans
Vcs-Browser: https://salsa.debian.org/postgresql/pg-show-plans
Vcs-Git: https://salsa.debian.org/postgresql/pg-show-plans.git

Package: postgresql-17-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

## pg-show-plans 2.1.6

=== debian/changelog ===
pg-show-plans (2.1.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117288)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:46:35 +0200

pg-show-plans (2.1.6-1) experimental; urgency=medium

  * New upstream version 2.1.6.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Jul 2025 12:08:28 +0200

## pg-show-plans 2.1.7

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,14 @@
 EXTENSION = pg_show_plans
 DATA = pg_show_plans--1.0--1.1.sql \
        pg_show_plans--1.1--2.0.sql \
-       pg_show_plans--2.0.sql
+       pg_show_plans--2.0--2.1.sql \
+       pg_show_plans--2.1.sql
 REGRESS = pg_show_plans formats
 DOCS = pg_show_plans.md
+
+# Fix GCC compilation warning against 16:
+# 	cc1: warning: ‘-Wformat-security’ ignored without ‘-Wformat’ [-Wformat-security]
+PG_CFLAGS = -Wformat
 
 USE_PGXS = 1
 ifdef USE_PGXS
@@ -19,4 +24,3 @@
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
-

=== debian/changelog ===
pg-show-plans (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 11:21:46 +0200

=== debian/control ===
Source: pg-show-plans
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/cybertec-postgresql/pg_show_plans
Vcs-Browser: https://salsa.debian.org/postgresql/pg-show-plans
Vcs-Git: https://salsa.debian.org/postgresql/pg-show-plans.git

Package: postgresql-18-show-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show query plans of currently running PostgreSQL statements
 This PostgreSQL extension shows the query plans of all currently running SQL
 statements. Plan output format can be plain text (default), JSON, YAML, or
 XML.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	+LANG=C pg_buildext -o 'shared_preload_libraries=pg_show_plans' installcheck . . postgresql-%v-show-plans

=== debian/watch ===
version=4
https://github.com/cybertec-postgresql/pg_show_plans/tags .*/v(.*).tar.gz
